org.apache.xmlbeans

## Interface XmlNormalizedString

All Superinterfaces:
  XmlAnySimpleType, XmlObject, XmlString, XmlTokenSource

All Known Subinterfaces:
  AllNNI.Member, Attribute.Use, BlockSet.Member, BlockSet.Member2.Item, DerivationControl, DerivationSet.Member, FieldDocument.Field.Xpath, FileDesc.Role, FormChoice, FullDerivationSet.Member, JavaName, JavaNameList.Member, NamespaceList.Member, NamespaceList.Member, NamespaceList.Member2.Item.Member, NamespaceList.Member2.Item.Member, Public, Qnametargetenum, ReducedDerivationControl, SelectorDocument.Selector.Xpath, SimpleDerivationSet.Member, SimpleDerivationSet.Member2.Item, SpaceAttribute.Space, TypeDerivationControl, WhiteSpaceDocument.WhiteSpace.Value, Wildcard.ProcessContents, XmlENTITY, XmlID, XmlIDREF, XmlLanguage, XmlName, XmlNCName, XmlNMTOKEN, XmlToken

All Known Implementing Classes:
  AllImpl.MaxOccursImpl, AllNNIImpl, AllNNIImpl.MemberImpl, AttributeImpl.UseImpl, BlockSetImpl, BlockSetImpl.MemberImpl, BlockSetImpl.MemberImpl2.ItemImpl, DerivationControlImpl, DerivationSetImpl, DerivationSetImpl.MemberImpl, FieldDocumentImpl.FieldImpl.XpathImpl, FileDescImpl.RoleImpl, FormChoiceImpl, FullDerivationSetImpl, FullDerivationSetImpl.MemberImpl, JavaNameImpl, JavaNameListImpl, JavaNameListImpl.MemberImpl, LangAttributeImpl.LangImpl, NamespaceListImpl, NamespaceListImpl, NamespaceListImpl.MemberImpl, NamespaceListImpl.MemberImpl, NamespaceListImpl.MemberImpl2.ItemImpl, NamespaceListImpl.MemberImpl2.ItemImpl, NamespaceListImpl.MemberImpl2.ItemImpl.MemberImpl, NamespaceListImpl.MemberImpl2.ItemImpl.MemberImpl, NarrowMaxMinImpl.MaxOccursImpl, PublicImpl, QnametargetenumImpl, ReducedDerivationControlImpl, SelectorDocumentImpl.SelectorImpl.XpathImpl, SimpleDerivationSetImpl, SimpleDerivationSetImpl.MemberImpl, SimpleDerivationSetImpl.MemberImpl2.ItemImpl, SpaceAttributeImpl.SpaceImpl, TypeDerivationControlImpl, WhiteSpaceDocumentImpl.WhiteSpaceImpl.ValueImpl, WildcardImpl.ProcessContentsImpl, XmlEntityImpl, XmlIdImpl, XmlIdRefImpl, XmlLanguageImpl, XmlNameImpl, XmlNCNameImpl, XmlNmTokenImpl, XmlNormalizedStringImpl, XmlTokenImpl

    public interface XmlNormalizedString
    extends XmlString

Corresponds to the XML Schema xs:normalizedString type. One of the derived types based on xs:string.

An normalizedString simply is a string where all the carriage return, linefeed, and tab characters have been normalized (switched to) ordinary space characters. Use normalizedString for long strings to make them insensitive to line breaking. If you wish to often be insensitive to runs of whitespace (as is often the case), use xs:token (aka `XmlToken`) instead.

Convertible to `String`. When obtaining the stringValue, the whitespace-normalized value is returned.

### Field Summary

Fields
`static XmlObjectFactory<XmlNormalizedString>` `Factory`
`static SchemaType` `type` The constant `SchemaType` object representing this schema type.

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

`getStringValue, setStringValue`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final XmlObjectFactory<XmlNormalizedString> Factory

#### type

    static final SchemaType type

The constant `SchemaType` object representing this schema type.